> For the complete documentation index, see [llms.txt](https://doc.auditx.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.auditx.net/auditx-educational-program/introduction/api-reference/response-formats.md).

# Response Formats

All responses from AuditX’s API are in JSON format. Each response typically includes essential details about the action performed and any relevant IDs or status messages. Here’s an example response for a successful audit request.

**Example JSON Response**:

```
json

{
  "audit_id": "abc123",
  "status": "pending"
}
```

**Description**:

* `audit_id`: The unique identifier for this audit request. Use this ID to check the audit’s status or retrieve results later.
* `status`: Shows the current status of the audit (e.g., "pending," "in\_progress," or "completed").

The `audit_id` is essential for tracking the audit process, especially when making follow-up requests to check the status or fetch results.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.auditx.net/auditx-educational-program/introduction/api-reference/response-formats.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
